body {
    font-family: Arial, sans-serif;
    background: #f4f4f4;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.form-container {
    background: white;
    padding: 20px;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    max-width: 400px;
    width: 100%;
    box-sizing: border-box; /* Ensures padding does not add to the width */
}

h2 {
    text-align: center;
    color: #333;
}

.form-group {
    margin-bottom: 20px;
}

.form-group label {
    display: block;
    margin-bottom: 5px;
}

.form-group input {
    width: calc(100% - 22px); /* Adjust width calculation if necessary */
    padding: 10px;
    border: 1px solid #ddd;
    border-radius: 5px;
    box-sizing: border-box; /* This line ensures padding and border are included in the element's size */
}

input{
    text-transform: uppercase;
}

button[type="submit"] {
    width: 0;
    padding: 10px;
    border: none;
    background: #007bff;
    color: white;
    border-radius: 5px;
    cursor: pointer;
    box-sizing: border-box; /* Ensures padding does not add to the width */
}

button[type="submit"]:hover {
    background: #0056b3;
}

.form-group, .button-group {
    margin-bottom: 20px;
}

.form-group label {
    display: block;
    margin-bottom: 5px;
}

.form-group input {
    width: 100%;
    padding: 10px;
    border: 1px solid #ddd;
    border-radius: 5px;
    box-sizing: border-box;
}

.button-group {
    display: flex;
    justify-content: space-between; /* Adjust as needed for your design */
}

.btn, .btn-link {
    flex-grow: 1;
    text-align: center;
    padding: 10px;
    border: none;
    color: white;
    border-radius: 5px;
    cursor: pointer;
    text-decoration: none; /* Remove underline from link */
    margin-right: 10px; /* Spacing between buttons */
}

.btn-submit {
    background: #007bff;
}

.btn-submit:hover {
    background: #0056b3;
}

.btn-link {
    background: #28a745;
    margin-right: 0; /* No spacing needed on the right side for the last button */
}

.btn-link:hover {
    background: #218838;
}